// rtspd.java
// $Id: rtsp.java,v 1 1997/06/10 15:00 osofia Exp $
// (c) COPYRIGHT MIT and INRIA, 1997.
// Please first read the full copyright statement in file COPYRIGHT.html

package w3c.rtsp.server;

import java.io.*;
import java.util.*;
import java.net.*;

//it's the daemon waiting for client request's.

public class rtspd {

  static int port=8003;

  public static void main(String argv[]){
    ServerSocket server;
    if(argv!=null)
      port=Integer.parseInt(argv[0]);
    System.out.println("\nSERVER at : "+port);
    try{
      server = new ServerSocket(port);
      while(true){
	new RtspServer(server.accept(),argv[1]);
      }
    }catch(IOException E){
      System.out.println("\n IO ERROR :"+E.getMessage());
    }
  }
}
